;+
; NAME:
;
;
;
; PURPOSE:
;
;
;
; CATEGORY:
;
;
;
; CALLING SEQUENCE:
;
;
;
; INPUTS:
;
;
;
; OPTIONAL INPUTS:
;
;
;
; KEYWORD PARAMETERS:
;
;
;
; OUTPUTS:
;
;
;
; OPTIONAL OUTPUTS:
;
;
;
; COMMON BLOCKS:
;
;
;
; SIDE EFFECTS:
;
;
;
; RESTRICTIONS:
;
;
;
; PROCEDURE:
;
;
;
; EXAMPLE:
;
;
;
; MODIFICATION HISTORY:
;
;-
pro mc_rdapotspecwavecal,filename,spectra,xcororders,dispdeg,l2pcoeffs, $
                         CANCEL=cancel

  cancel = 0

;  Check parameters

  if n_params() lt 1 then begin
     
     cancel = 1
     print, 'Syntax - mc_rdtspecwavecal,filename,spectra,xcororders,dispdeg,$'
     print, '                           l2pcoeffs,CANCEL=cancel'
     return
     
  endif
  
  zparcheck, 'mc_rdtspecwavecal', filename, 1,7,0, 'Filename'
  
  spectra = readfits(filename,hdr)
  
  start      = fxpar(hdr,'START')
  stop       = fxpar(hdr,'STOP')
  dispdeg    = fix(fsextract(fxpar(hdr,'DISPDEG'),/INDEX))
  xcororders = fix(fsextract(fxpar(hdr,'XCORORDR'),/INDEX))
  orders     = fix(fsextract(fxpar(hdr,'ORDERS'),/INDEX))
  norders    = n_elements(orders)

  l2pcoeffs = dblarr(max(dispdeg)+1,norders)

  for i = 0,norders-1 do begin
     
     key = 'ODR'+string(orders[i],format='(i2.2)')+'*'
     l2pcoeffs[0:dispdeg[i],i] = mc_fxpar(hdr,key)
     
  endfor

  match, orders,xcororders,idx
  spectra = spectra[*,0:1,idx]

end
